package com.gyee.dataadapter.service;

import com.gyee.dataadapter.entity.PointData;
import com.gyee.dataadapter.entity.PointInfo;
import com.gyee.dataadapter.entity.TotalPointData;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface IAdapterService {
    //历史数据接口
    TotalPointData getTotalData(String start, String end, Integer sampleType, Integer sampleRate, String paths,
                                String pageIndex, String pageSize, Boolean isDesc);


    TotalPointData getTotalData(Date start, Date end, Integer sampleType, Integer sampleRate, String paths,
                                String pageIndex, String pageSize, Boolean isDesc);

    //历史数据接口
    TotalPointData getTotalData(Date start, Date end, Integer sampleType, Integer sampleRate, String paths);

    TotalPointData getTotalData(Date start, Date end, Integer sampleType, String paths);

    List<PointData> getPointData(Date start, Date end, Integer sampleType, Integer sampleRate, String paths);
    List<PointData> getPointData(Date start, Date end, Integer sampleType, Integer sampleRate, String paths,
                                String pageIndex, String pageSize, Boolean isDesc);

    List<PointData> getPointData2(Date start, Date end, Integer sampleType, String paths);

    //Map<String, List<PointData>> getPointData(Date start, Date end, Integer sampleType, Integer sampleRate, String... paths);

    //实时数据接口
    Map<String, PointInfo> getLatestData(String paths);

    Map<String, PointData> getLatestData2(List<String> paths);
}
